Bug 951895 - [abrt] gparted-0.14.1-1.fc18: _XPrivSyncFunction: Process /usr/sbin/gpartedbin was killed by signal 6 (SIGABRT)
Summary: [abrt] gparted-0.14.1-1.fc18: _XPrivSyncFunction: Process /usr/sbin/gpartedbi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1ffd10b14639d647efb931e5f51...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 06:45 UTC by maxime.tierre
Modified: 2013-07-20 09:49 UTC (History)
1 user (show)

Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-20 09:43:13 UTC


Attachments (Terms of Use)
File: backtrace (145.84 KB, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: cgroup (132 bytes, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: core_backtrace (3.90 KB, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: dso_list (8.86 KB, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: environ (323 bytes, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: limits (1.29 KB, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: maps (42.41 KB, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: open_fds (355 bytes, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details
File: proc_pid_status (906 bytes, text/plain)
2013-04-14 06:45 UTC, maxime.tierre
no flags Details

Description maxime.tierre 2013-04-14 06:45:34 UTC
Description of problem:
I was making a new NTFS partition on a new secondary disk prevously formated in ext3

Version-Release number of selected component:
gparted-0.14.1-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: _XPrivSyncFunction
executable:     /usr/sbin/gpartedbin
kernel:         3.8.6-203.fc18.x86_64
runlevel:       unknown
uid:            0
ureports_counter: 1
var_log_messages: Apr 14 08:38:29 localhost abrt[1617]: Saved core dump of pid 1519 (/usr/sbin/gpartedbin) to /var/tmp/abrt/ccpp-2013-04-14-08:38:29-1519 (33509376 bytes)
xsession_errors: gpartedbin: XlibInt.c :246 : _XPrivSyncFunction:  L'assertion « (dpy->flags & (1L << 3)) != 0 » a échoué.

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _XPrivSyncFunction at XlibInt.c:246
 #5 XDestroyWindow at DestWind.c:42
 #6 _gdk_window_destroy_hierarchy at gdkwindow.c:2097
 #8 gdk_window_destroy at gdkwindow.c:2181
 #9 gtk_widget_real_unrealize at gtkwidget.c:8948
 #10 _g_closure_invoke_va at gclosure.c:840
 #13 gtk_widget_unrealize at gtkwidget.c:3612
 #14 gtk_widget_dispose at gtkwidget.c:8798
 #16 Gtk::MessageDialog::~MessageDialog at messagedialog.cc:163
 #17 GParted::PedExceptionMsg::~PedExceptionMsg at GParted_Core.cc:3505

Comment 1 maxime.tierre 2013-04-14 06:45:39 UTC
Created attachment 735530 [details]
File: backtrace

Comment 2 maxime.tierre 2013-04-14 06:45:41 UTC
Created attachment 735531 [details]
File: cgroup

Comment 3 maxime.tierre 2013-04-14 06:45:43 UTC
Created attachment 735532 [details]
File: core_backtrace

Comment 4 maxime.tierre 2013-04-14 06:45:45 UTC
Created attachment 735533 [details]
File: dso_list

Comment 5 maxime.tierre 2013-04-14 06:45:48 UTC
Created attachment 735534 [details]
File: environ

Comment 6 maxime.tierre 2013-04-14 06:45:50 UTC
Created attachment 735535 [details]
File: limits

Comment 7 maxime.tierre 2013-04-14 06:45:52 UTC
Created attachment 735536 [details]
File: maps

Comment 8 maxime.tierre 2013-04-14 06:45:54 UTC
Created attachment 735537 [details]
File: open_fds

Comment 9 maxime.tierre 2013-04-14 06:45:56 UTC
Created attachment 735538 [details]
File: proc_pid_status

Comment 10 Fedora Update System 2013-06-11 16:37:02 UTC
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18

Comment 11 Fedora Update System 2013-06-11 16:37:57 UTC
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19

Comment 12 Fedora Update System 2013-06-11 16:39:01 UTC
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17

Comment 13 Fedora Update System 2013-06-12 02:37:44 UTC
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2013-07-20 09:43:13 UTC
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-07-20 09:48:50 UTC
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-07-20 09:49:37 UTC
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.